curl --request GET \
--url https://{gatewayBaseURL}/responses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{gatewayBaseURL}/responses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{gatewayBaseURL}/responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created_at": 123,
"status": "<string>",
"max_output_tokens": 123,
"model": "<string>",
"output": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"content": [
{
"type": "<string>",
"annotations": [
"<unknown>"
],
"text": "<string>"
}
],
"role": "<string>"
}
],
"parallel_tool_calls": true,
"previous_response_id": "<string>",
"reasoning": {
"effort": "<unknown>",
"summary": "<unknown>"
},
"service_tier": "<string>",
"store": true,
"temperature": 123,
"text": {
"format": {
"type": "<string>"
}
},
"tool_choice": "<string>",
"tools": [
"<unknown>"
],
"top_p": 123,
"truncation": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"cached_tokens": 123
},
"output_tokens": 123,
"output_tokens_details": {
"reasoning_tokens": 123
},
"total_tokens": 123
},
"metadata": {},
"provider": "<string>",
"error": "<unknown>",
"incomplete_details": "<unknown>",
"instructions": "<unknown>",
"user": "<unknown>"
}Get Model Response
Get a specific model response.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional metadata for the request
Name of the provider
Path Parameters
Id of the response
Response
Model response retrieved successfully
Response ID.
Object type.
Creation timestamp.
Response status.
Maximum output tokens allowed.
Model used for the response.
Show child attributes
Show child attributes
Indicates if parallel tool calls were used.
ID of the previous response, if any.
Reasoning details.
Show child attributes
Show child attributes
Service tier.
Indicates if the response is stored.
Temperature setting for the model.
Show child attributes
Show child attributes
Tool choice used.
Tools used in the response.
Top-p sampling parameter.
Truncation setting.
Show child attributes
Show child attributes
Additional metadata.
Provider of the response.
Provider error object when the response failed.
Reason the response was cut off, e.g. max_output_tokens or content_filter.
Instructions provided for the response.
End-user identifier echoed from the request.
Was this page helpful?